#VT50-2013-2016-84-28-6
#Copyright (c) 2018 Veritas Technologies LLC. All rights reserved.  Veritas
#and the Veritas Logo are trademarks or registered trademarks of Veritas 
#Technologies LLC or its affiliates in the U.S. and other countries. 
#Other names may be trademarks of their respective owners.
#
#The Licensed Software and Documentation are deemed to be commercial computer 
#software as defined in FAR 12.212 and subject to restricted rights as defined 
#in FAR Section 52.227-19 "Commercial Computer Software - Restricted Rights" and 
#DFARS 227.7202, et seq. "Commercial Computer Software and Commercial Computer 
#Software Documentation," as applicable, and any successor regulations, whether 
#delivered by Veritas as on premises or hosted services.  Any use, modification, 
#reproduction release, performance, display or disclosure of the Licensed Software 
#and Documentation by the U.S. Government shall be solely in accordance with the 
#terms of this Agreement.


function CheckVCServices
{
    $ServiceList = ("VMwareIdentityMgmtService", "vmware-psc-client", "VMWareCertificateService", 
                        "VMWareDirectoryService", "VMwareSTS")
    Write-Host "Check if required services are running"
   	
	foreach ($ServiceName in $ServiceList)
    {
		$output = & .\service-control --status $ServiceName
		Write-Host "$output"
	}
}

if ($args.Count -gt 0)
{
    Write-Host "Usage: check_psc_services.ps1"
    exit
}
CheckVCServices
